#ifndef __orov__msg__control__SafetyState__idl__
#define __orov__msg__control__SafetyState__idl__

module orov {
module msg {
module control {

    enum ESafetyState
    {
        OFF = 0, //Safety is off, controllers are running
        ON = 1 // Safety is on, controllers have stopped
    };

    struct SafetyState
    {
        string vehicleId; //@key
        
        ESafetyState state; // State of the safety switch
    };

};
};
};

#endif
